| globjects 1.0.0.000000000000 Strict OpenGL objects wrapper.

Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
globjects::ProgramBinary Class Reference

The ProgramBinary class is used for directly setting binary sources for a Program. More...

`#include <globjects/include/globjects/ProgramBinary.h>`

Inheritance diagram for globjects::ProgramBinary:

## Public Member Functions
| ProgramBinary (gl::GLenum binaryFormat, const std::vector< char > &binaryData)
| ProgramBinary (gl::GLenum binaryFormat, AbstractStringSource *dataSource)
gl::GLenum | format () const
const void * | data () const
gl::GLsizei | length () const
virtual void | notifyChanged (const Changeable *sender) override
Public Member Functions inherited from globjects::Referenced
| Referenced ()
void | ref () const
void | unref () const
int | refCounter () const
Public Member Functions inherited from globjects::HeapOnly
| HeapOnly ()
void | destroy () const
Public Member Functions inherited from globjects::Changeable
void | changed () const
void | registerListener (ChangeListener *listener)
void | deregisterListener (ChangeListener *listener)

## Protected Member Functions
virtual | ~ProgramBinary ()
void | validate () const
Protected Member Functions inherited from globjects::Referenced
virtual | ~Referenced ()
Protected Member Functions inherited from globjects::HeapOnly
virtual | ~HeapOnly ()
Protected Member Functions inherited from globjects::ChangeListener
virtual | ~ChangeListener ()

## Protected Attributes
gl::GLenum | m_binaryFormat
ref_ptr< AbstractStringSource > | m_dataSource
bool | m_valid
std::vector< unsigned char > | m_binaryData

## Detailed Description

The ProgramBinary class is used for directly setting binary sources for a Program.

See also
  Program
  http://www.opengl.org/registry/specs/ARB/get_program_binary.txt

## Constructor & Destructor Documentation

## ◆ ProgramBinary() [1/2]

globjects::ProgramBinary::ProgramBinary | ( | gl::GLenum | binaryFormat,
|  | const std::vector< char > & | binaryData
| ) |  |

## ◆ ProgramBinary() [2/2]

globjects::ProgramBinary::ProgramBinary | ( | gl::GLenum | binaryFormat,
|  | AbstractStringSource * | dataSource
| ) |  |

## ◆ ~ProgramBinary()

virtual globjects::ProgramBinary::~ProgramBinary | ( |  | ) |
| protected virtual

## Member Function Documentation

## ◆ format()

gl::GLenum globjects::ProgramBinary::format | ( |  | ) | const

## ◆ data()

const void* globjects::ProgramBinary::data | ( |  | ) | const

## ◆ length()

gl::GLsizei globjects::ProgramBinary::length | ( |  | ) | const

## ◆ notifyChanged()

virtual void globjects::ProgramBinary::notifyChanged | ( | const Changeable * | sender | ) |
| override virtual

Reimplemented from globjects::ChangeListener.

## ◆ validate()

void globjects::ProgramBinary::validate | ( |  | ) | const
| protected

## Member Data Documentation

## ◆ m_binaryFormat

gl::GLenum globjects::ProgramBinary::m_binaryFormat
| protected

## ◆ m_dataSource

ref_ptr<AbstractStringSource> globjects::ProgramBinary::m_dataSource
| protected

## ◆ m_valid

bool globjects::ProgramBinary::m_valid
| mutable protected

## ◆ m_binaryData

std::vector<unsigned char> globjects::ProgramBinary::m_binaryData
| mutable protected

The documentation for this class was generated from the following file:

- ProgramBinary.h